unit RSADemoMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  TfrmRSADemoMain = class(TForm)
    memLog: TMemo;
    Label1: TLabel;
    btnRSAKey: TButton;
    memN: TMemo;
    Label2: TLabel;
    procedure btnRSAKeyClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmRSADemoMain: TfrmRSADemoMain;

implementation

uses
  RSANewKeyDM;

{$R *.dfm}

procedure TfrmRSADemoMain.btnRSAKeyClick(Sender: TObject);
var
  Ticks: Cardinal;
begin
  memLog.Clear;
  try
    Ticks := GetTickCount;
    dmRSANewKey.MPProc1.Active := True;
    dmRSANewKey.MPProc1.Evaluate;
    Ticks := GetTickCount - Ticks;
  finally
    memLog.Lines.Assign(dmRSANewKey.Log);
  end;
  memLog.Lines.Insert(0,IntToStr(Ticks) + ' ms');
  memN.Lines.Text := dmRSANewKey.MPProc1.OutputParams['N'].HexString;
end;

end.
